Bug 146750 - gtk-update-icon-cache is noisy
gtk-update-icon-cache is noisy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-02-01 04:44 EST by Joe Orton
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-27 20:54:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2005-02-01 04:44:54 EST
Description of problem:
RPM %post scripts are calling gtk-update-icon-cache such that it
produces stderr/stdout output, which is bad, %post scripts should be
silent.

Version-Release number of selected component (if applicable):
gtk2-2.6.1-1

How reproducible:
always

Raw Hide install.log from a few days ago:

Installing gnome-icon-theme-2.9.90-2.noarch.
Cache file created successfully.
Cache file created successfully.
Installing gtkspell-2.0.7-2.i386.
Installing ImageMagick-6.0.7.1-4.i386.
Installing libwmf-0.2.8.3-7.i386.
Installing netpbm-progs-10.26-1.i386.
Installing redhat-artwork-0.120-4.i386.
Cache file created successfully.
Cache file created successfully.
Cache file created successfully.
Comment 1 Matthias Clasen 2005-02-01 08:56:19 EST
I'll release gtk 2.6.2 later this week, which adds a --quiet argument
to gtk-update-icon-cache. 
Comment 2 Joe Orton 2005-04-11 10:59:42 EDT
It's noisy again.

[root@trash ~]# rpm -qf /usr/bin/gtk-update-icon-cache
gtk2-2.6.5-1


Installing system-config-nfs-1.3.6-1.noarch.
Cache file created successfully.
Installing system-config-securitylevel-1.5.5-1.i386.
Cache file created successfully.
Installing usermode-gtk-1.79-2.i386.
Comment 3 Robert Scheck 2005-04-17 08:50:32 EDT
gtk2-2.6.7-1 also talks to me at installing of system-config-date.
Comment 4 Joe Orton 2005-04-22 08:39:10 EDT
There are 30 instances of this one now:

[root@trash ~]# grep ^Cache install.log | wc -l
30

Comment 5 Jeremy Katz 2005-04-27 20:54:48 EDT
I think I cleaned all of these out yesterday.  If there are any left, file them
separately against the specific packages.

Note You need to log in before you can comment on or make changes to this bug.